package com.example.ftpdemo.task;

import cn.hutool.core.date.DateUtil;
import com.example.ftpdemo.service.Method;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.util.StopWatch;

/**
 * @author laifeng
 * @since 2022/12/1
 */
@Component
@AllArgsConstructor
public class TestTask {
    private final Method method;

//    @XxlJob("demoJobHandler")
    public void refreshAliDeviceStatus() throws Exception {
        StopWatch stopWatch = new StopWatch("task");
        stopWatch.start();
        String yesterday = DateUtil.format(DateUtil.yesterday(), "yyyyMMdd");
        method.creatSixUpFileAndUp(yesterday);
        stopWatch.stop();
        double seconds = stopWatch.getTotalTimeSeconds();
        XxlJobHelper.log("XXL-JOB, 上传日志成功！ 共花费:" + seconds);

    }
}
