package com.example.ftpdemo.task;

import cn.hutool.core.date.DateUtil;
import com.example.ftpdemo.service.Method;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.AllArgsConstructor;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.StopWatch;

/**
 * @author laifeng
 * @since 2022/12/1
 */
@Component
@EnableScheduling
@AllArgsConstructor
public class TestTask1 {
    private final Method method;

//    @XxlJob("demoJobTest")
//    @Scheduled(cron = "0/10 * * * * ? ")
    public void refreshAliDeviceStatus() throws Exception {
        String format = DateUtil.format(DateUtil.yesterday(), "yyyy-MM-dd");
        System.out.println(format);
        XxlJobHelper.log("XXL-JOB,测试" ,format);

    }
}
