package com.example.ftpdemo;

import com.example.ftpdemo.util.Constant;
import com.jcraft.jsch.*;
import org.junit.jupiter.api.Test;

import java.io.*;
import java.util.zip.GZIPInputStream;

/**
 * @author laifeng
 * @since 2022/11/30
 */
public class TestMethod {
    String host = "47.97.5.58";// ip地址
    String user = "root";// 账号
    String password = "Aa1572427111.";// 密码
    @Test
    void test1() throws JSchException, IOException, SftpException {
        JSch jsch=new JSch();
        Session session=jsch.getSession(user, host, 22);
        session.setPassword(password);
        session.setConfig("StrictHostKeyChecking", "no");
        session.connect();

        ChannelSftp sftp = (ChannelSftp) session.openChannel("sftp");
        sftp.connect();


        String file = "/opt/2022-11-29~0.log.21-29-58_541.time.43.part.complete.gz";



        // 读取远程服务器上的日志文件 gz压缩格式
        GZIPInputStream gzipInputStream = new GZIPInputStream(sftp.get(file));
        Reader decoder = new InputStreamReader(gzipInputStream, "UTF-8");
        BufferedReader reader = new BufferedReader(decoder);
        // 创建输出流
        FileOutputStream outputStream = new FileOutputStream(Constant.localNotEncryFileNamePath);
        String tempString;
        //一次读一行，读入null时文件结束
        while ((tempString = reader.readLine()) != null) {
            //把当前行号显示出来
//            System.out.println(tempString);
            String temp = tempString+"\n";
            byte[] bytes = temp.getBytes();
            outputStream.write(bytes);
        }
        outputStream.flush();

        outputStream.close();
        decoder.close();
        sftp.disconnect();
        session.disconnect();


    }
}
